% computing/src/directory.tex
%  Contains macros naming directories.  Prevents mistyping long dir names.
% 2019-Jun-20 Jim Hefferon GPL 3

% Each directory is given relative to computing/src since that is 
% where the book is compiled from.
% Note that each directory name ends with a "/"

% \tmfiles: where the source .tm Turing machine files are
\newcommand{\tmfiles}{scheme/prologue/machines/}

% \tmexercises: where the tape pdf's about Turing machines are
\newcommand{\tmexercises}{prologue/asy/tm_exercises/pdfs/}

% \prfiles: where the source .rkt primitive recursion files are
\newcommand{\prfiles}{scheme/prologue/}

% \tmfile: where the source .rkt turing machine file is
\newcommand{\tmfile}{scheme/prologue/}

% \cantorfile: where the source .rkt Cantor correspondence file is
\newcommand{\cantorfile}{scheme/background/counting.rkt}

% \traversalfile: where the source .rkt file for tree traversal is
\newcommand{\traversefile}{scheme/languages/traverse.rkt}

% \schemeautomata: where the source for automata Racket files are
\newcommand{\schemeautomata}{scheme/automata/}

% \fsmfiles: where the source .fsm Finite State machine files are
\newcommand{\fsmfiles}{scheme/automata/machines/}

% \fsmexercises: where the tape pdf's about Finite State machines are
\newcommand{\fsmexercises}{automata/asy/fsm_exercises/pdfs/}

% \fsmfile: where the source .rkt finite state machine file is
\newcommand{\fsmfile}{scheme/automata/}

% \satsolverfile: where the source .rkt SAT solver file is
\newcommand{\satsolverfile}{scheme/complexity/}

% \complexityproblems: where the graphics for Complextiy problems are
\newcommand{\complexityproblemsdir}{complexity/asy/problems/}

 